#### D.6.20.6 is_is

Procedure from library `sing.lib` (see sing_lib).

Usage:
  is_is(id); id ideal or poly

Return:
  intvec = sequence of dimensions of singular loci of ideals generated by id[1]..id[i], k = 1..size(id);
  dim(0-ideal) = -1;
  id defines an isolated singularity if last number is 0

Note:
  printlevel >=0: display comments (default)

Example:

    LIB "sing.lib";
    int p      = printlevel;
    printlevel = 1;
    ring r     = 32003,(x,y,z),ds;
    ideal i    = x2y,x4+y5+z6,yx2+xz2+zy7;
    is_is(i);
    ==> // dim of singular locus = 0
    ==> // isolated singularity if last number is 0 in dim-sequence:
    ==> 2,1,0
    poly f     = xy+yz;
    is_is(f);
    ==> // dim of singular locus = 1
    ==> // isolated singularity if last number is 0 in dim-sequence:
    ==> 1
    printlevel = p;

User manual for Singular version 4.4.1, 2025, generated by texi2html.